%define name	htmldoc
%define version	1.8.23
%define release	7mdk

Summary:	Convert HTML documents into PDF or PS format 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}-source.tar.bz2 
License:	GPL
Group:		File tools
URL:		http://www.easysw.com/htmldoc
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
BuildRequires:	libfltk-devel
Requires:	fltk
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
HTMLDOC allow you to convert Html documents into PDF or PS format.
Links and somes specific things of PDF format can be used.

%package	nogui
Summary:	Convert HTML documents into PDF or PS format 
Group:		File tools

%description	nogui
This package contains the non gui version of %{name}

%prep

%setup -q

%build

# first build the non gui version
%configure \
    --without-gui

%make
mv htmldoc/htmldoc htmldoc-nogui
make clean

%configure \
    --disable-rpath \
    --enable-localpng \
    --enable-localjpeg \
    --enable-localzlib \
    --with-gui \
    --with-openssl-libs \
    --with-openssl-includes

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_menudir}

cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/htmldoc" \
title="Htmldoc" \
longtitle="Converting Html files to PDF or PostScript" \
icon="publishing_section.png" \
needs="x11" \
section="Office/Publishing"
EOF

install -m0755 htmldoc-nogui %{buildroot}%{_bindir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc CHANGES.txt README.txt
%{_bindir}/htmldoc
%{_mandir}/man1/*
%{_docdir}/htmldoc/*
%{_datadir}/htmldoc/*
%{_menudir}/*

%files nogui
%defattr(-,root,root,0755)
%doc CHANGES.txt README.txt
%{_bindir}/htmldoc-nogui

%changelog
* Tue Jun 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8.23-7mdk
- added the htmldoc-nogui sub package
- fix deps
- misc spec file fixes

* Fri May 21 2004 Robert Vojta <robert.vojta@mandrake.cz> 1.8.23-6mdk
- rebuild against cooker

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.8.23-5mdk
- from Jean-sebastien Hubert <jsh@interlug-fr.org> :
	- fix menu entry
	- adding more options to have a lot of features

* Mon Mar 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.8.23-4mdk
- fix requires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.8.23-3mdk
- rebuild

* Sun Nov 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8.23-2mdk
- requires libfltk
- buildrequires libfltk-devel

* Tue Oct 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8.23-1mdk
- 1.8.23

* Thu Sep 05 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.8.20-2mdk
- rebuild

* Thu Jun 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8.20-1mdk
- 1.8.20

* Tue Jun 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8.19-1mdk
- update submitted by Jean-Sebastien HUBERT <jshubert@mirabllug.org>

* Mon Nov 05 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.8.16-1mdk
- update to 1.8.16 by Jean-Sebastien HUBERT <jshubert@mirabllug.org>

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.8.14-3mdk
- rebuild against new libpng

* Mon Oct 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.8.14-2mdk
- remove Linux Mandrake and i586 references from description

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.8.14-1mdk
- added by Jean-Sebastien HUBERT <jshubert@netcourrier.com>
